###########################################
## Giac
###########################################


#############################################################
#    Environment Variables
#############################################################
# If CFLAGS and CXXFLAGS are unset, giac looks to set -g -O2,
#   but if they are not empty, the -g -O2 is not added
CFLAGS="-g -O2 $CFLAGS"
CXXFLAGS="-g -O2 $CXXFLAGS"
CPPFLAGS="-I$SAGE_LOCAL/include $CPPFLAGS"

if [ `uname -m` = "ppc64" ]; then
    CPPFLAGS="-Dx86_64 $CPPFLAGS"
fi

# Using pari in a C++17 file with "using namespace std doesn't
# work due to a conflict between std::rank and pari's rank
# -std=c++17 is in the default flags on conda;
# and it is the default standard on GCC 12.
CXXFLAGS="${CXXFLAGS} -std=gnu++11"

export CFLAGS CXXFLAGS CPPFLAGS

cd src

#############################################################
#   configure
#############################################################
#
#    We use the option --disable-fltk to disable building the GUI.
#    If you want to build the gui (xcas), use GIAC_CONFIGURE=--enable-fltk

echo "Configuring giac..."


#    --disable-ao     (avoid libao deps)
#   On OS X (10.12) the built in intl is broken
DISABLENLS=""
if [ "$UNAME" = "Darwin" ]; then
    echo "OS X Building without Native Language Support"
    DISABLENLS="--disable-nls"
fi

sdh_configure --disable-ao "$DISABLENLS" --enable-png=no --disable-samplerate --disable-static --disable-micropy --disable-quickjs --disable-fltk $GIAC_CONFIGURE

#############################################################
#   Build
#############################################################

sdh_make

#############################################################
#   Install
#############################################################

sdh_make_install
